
DiametreDisque = 170;  //  mm
HauteurBase = 0.4;     //  mm
HauteurSillon = 0.8;   //  mm
DiametreTrou = 8;      //  mm

// La base avec trou
difference() {
	cylinder(h = HauteurBase, r = DiametreDisque / 2, $fn=100);
	cylinder(h = HauteurBase, r = DiametreTrou / 2, $fn=100);
}

// Les sillons
translate(v = [0, 0, HauteurBase]) {
	for ( i = [50 : 5 : 65] ) {
		difference() {
			cylinder(h = HauteurSillon, r = i, $fn=100);
			cylinder(h = HauteurSillon, r = i-4, $fn=100);
		}
	}
}

translate(v = [0, 0, HauteurBase]) {
	for ( i = [70 : 5 : DiametreDisque / 2] ) {
		difference() {
			cylinder(h = HauteurSillon, r = i, $fn=100);
			cylinder(h = HauteurSillon, r = i-3, $fn=100);
		}
	}
}

